<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">
        <w:wordDocument xmlns:w="http://schemas.microsoft.com/office/word/2003/wordml">
            <w:body>
                <xsl:for-each select="logica.reportes.ReportePlanificaciones/planificaciones/entry">
                    <w:p>
                        <w:r>
                            <w:t>
                                <xsl:value-of select="Estudiante/nombre"/>/<xsl:value-of select="Estudiante/rut"/>
                            </w:t>
                        </w:r>
                    </w:p>
                    <xsl:for-each select="map/entry">
                        <w:p>
                            <w:r>
                                <w:t>Asignatura:<xsl:value-of select="Asignatura/nombre"/>
                                </w:t>
                            </w:r>
                        </w:p>
                        <xsl:for-each select="Actividad-array/Actividad">
                            <w:p>
                                <w:r>
                                    <w:t>
                                        <xsl:value-of select="tipo"/>/<xsl:value-of select="fecha"/>
                                    </w:t>
                                </w:r>
                            </w:p>
                        </xsl:for-each>
                    </xsl:for-each>
                </xsl:for-each>
            </w:body>
        </w:wordDocument>
    </xsl:template>
</xsl:stylesheet>
